Package de.willuhn.jameica.hbci.messaging

# Class MessagingAvailableConsumer

java.lang.Object
de.willuhn.jameica.hbci.messaging.MessagingAvailableConsumer

All Implemented Interfaces:
  `de.willuhn.jameica.messaging.MessageConsumer`

public class MessagingAvailableConsumer extends Object implements de.willuhn.jameica.messaging.MessageConsumer
Ermittelt, ob das Messaging-System zur Archivierung von Kontoauszuegen verfuegbar ist. Da das Lookup per Lookup-Service bis zu 5 Sekunden dauern kann (Timeout, wenn kein Server erreichbar ist), machen wir das per Messaging beim Boot-Vorgang im Hintergrund. Dann muss der User anschliessend nicht warten, wenn die Information benoetigt wird.

## Constructor Summary

Constructors
Constructor
Description
`MessagingAvailableConsumer()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`autoRegister()`
`Class[]`
`getExpectedMessageTypes()`
`void`
`handleMessage(de.willuhn.jameica.messaging.Message message)`
`static boolean`
`haveMessaging()`
Prueft, ob das Speichern per Messaging grundsaetzlich moeglich ist.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MessagingAvailableConsumer

public MessagingAvailableConsumer()

## Method Details

### getExpectedMessageTypes

public Class[] getExpectedMessageTypes()

Specified by:
  `getExpectedMessageTypes` in interface `de.willuhn.jameica.messaging.MessageConsumer`

### handleMessage

public void handleMessage(de.willuhn.jameica.messaging.Message message) throws Exception

Specified by:
  `handleMessage` in interface `de.willuhn.jameica.messaging.MessageConsumer`
Throws:
  `Exception`

### haveMessaging

public static boolean haveMessaging()
Prueft, ob das Speichern per Messaging grundsaetzlich moeglich ist.

Returns:
  true, wenn das Speichern per Messaging grundsaetzlich moeglich ist.

### autoRegister

public boolean autoRegister()

Specified by:
  `autoRegister` in interface `de.willuhn.jameica.messaging.MessageConsumer`